Bug 207950 - www/py-django-allauth : update to 0.25.0
Summary: www/py-django-allauth : update to 0.25.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-13 13:59 UTC by vladimir.chukharev
Modified: 2016-03-15 17:34 UTC (History)
1 user (show)

See Also:


Attachments
Patch (944 bytes, patch)
2016-03-13 13:59 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff
Patch (944 bytes, patch)
2016-03-14 12:42 UTC, vladimir.chukharev
vladimir.chukharev: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2016-03-13 13:59:37 UTC
Created attachment 168088 [details]
Patch

Release Notes
 0.25.0 (2016-03-12)
 Note worthy changes
  * Many providers were added: Reddit, Untappd, GitLab, Stripe, Pinterest,
    Shopify, Draugiem, DigitalOcean, Robinhood, Bitbucket(OAuth2).
  * The account connections view is now AJAX aware.
  * You can now customize the template extension that is being used to render all
    HTML templates (ACCOUNT_TEMPLATE_EXTENSION)
  * In order to be secure by default, users are now blocked from logging in after
    exceeding a maximum number of failed login attempts (see
    ACCOUNT_LOGIN_ATTEMPTS_LIMIT, ACCOUNT_LOGIN_ATTEMPTS_TIMEOUT). Set
    ACCOUNT_LOGIN_ATTEMPTS_LIMIT to None to disable this functionality.
    Important: while this protects the allauth login view, it does not protect
    Django’s admin login from being brute forced.
  * New translations: Arabic, Lithuanian

 Backwards incompatible changes
  None
Comment 1 vladimir.chukharev 2016-03-13 14:04:07 UTC
QA logs are too long for attaching here (just few bytes over the limit).
Comment 2 vladimir.chukharev 2016-03-14 12:42:06 UTC
Created attachment 168148 [details]
Patch

Update to the newest version 0.25.2. It fixes a possible regression of 0.25.0.
Comment 3 Mark Felder freebsd_committer 2016-03-15 17:34:22 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-03-15 17:34:23 UTC
A commit references this bug:

Author: feld
Date: Tue Mar 15 17:34:08 UTC 2016
New revision: 411197
URL: https://svnweb.freebsd.org/changeset/ports/411197

Log:
  www/py-django-allauth: Update to 0.25.2

  0.25.0 (2016-03-12)
  * Many providers were added: Reddit, Untappd, GitLab, Stripe,
      Pinterest, Shopify, Draugiem, DigitalOcean, Robinhood, Bitbucket(OAuth2).
  * The account connections view is now AJAX aware.
  * You can now customize the template extension that is being used to
      render all HTML templates (ACCOUNT_TEMPLATE_EXTENSION)
  * In order to be secure by default, users are now blocked from logging
      in after exceeding a maximum number of failed login attempts (see
      ACCOUNT_LOGIN_ATTEMPTS_LIMIT, ACCOUNT_LOGIN_ATTEMPTS_TIMEOUT). Set
      ACCOUNT_LOGIN_ATTEMPTS_LIMIT to None to disable this functionality.
      Important: while this protects the allauth login view, it does not
      protect Django?s admin login from being brute forced.
  * New translations: Arabic, Lithuanian

  0.25.1 (2016-03-13)
  * Bug fix release (AttributeError in password reset view).

  0.25.2 (2016-03-13)
  * Bug fix release (MemcachedKeyCharacterError: "Control characters not
      allowed")

  PR:		207950

Changes:
  head/www/py-django-allauth/Makefile
  head/www/py-django-allauth/distinfo